
/*	tcp.h -- header	file for tapv00.c	*/
/*	in comments below '767 only' means	*/
/*	not available on 512			*/
/*	NA 1024 means this command is a 1024 NOP */
	
#define	AAV 36		/* NA 512 */
#define	AED 46
#define	BFL 66
#define	BLG 37		/* NA 512 */
#define	BSO 103
#define	CAI 43		/*	1024 only	*/
#define	CHR 45		/*	1024 only	*/
#define	COP 41		/* not implemented - yet */
#define	DAI 114
#define	DCA 112
#define	DCL 79
#define	DFC 110
#define	DFP 33		/*	NA 512	*/
#define	DFR 111
#define	DJC 100
#define	DMV 109
#define	DPA 38
#define	DPK 78		/*	NA 1024	*/
#define	DRL 61		/*	NA 1024	*/
#define	DSF 55
#define	DSK 37		/*	NA 1024	*/
#define	DSP 33
#define	DTM 50
#define	DVA 65
#define	DVR 108
#define	ECU 53
#define	EJC 85
#define	ELP 34		/*	NA 512	*/
#define	EPA 104
#define	ERS 126
#define	ESC 27
#define	ESF 57
#define	ETC 51
#define	ETP 39		/* bingo says 25 -- wrong */
#define	FFD 12
#define	FRR 44
#define	GFL 36		/*	NA 512	*/
#define	GS  29		/* not implemented */
#define	HOM 95
#define	HSR 119
#define	IFL 73
#define	JUS 59
#define	LAT 38		/* NA 512	*/
#define	LMR 58
#define	MAR 42		/* NA 512, manual says 58 -- wrong */
/* #define MFL ??		   mask	fill, 1024 only	*/
#define	MOV 81
#define	MVR 105
#define	PEK 48		/* peek	into terminal memory, 1024 only	*/
#define	POK 49		/* poke	into terminal memory, 1024 only	*/
#define	OFL 86
#define	OPT 40
#define	RCP 106
#define	RCT 35		/* NA 512	*/
#define	RDA 47
#define	RHO 121
#define	RHR 97
#define	RHS 116
#define	RJP 113
#define	ROT 44		/*	1024 only	*/
#define	RPX 89
#define	RRD 64
#define	RST 48
#define	RTP 124
#define	RVO 122
#define	RZR 47		/*	1024 only	*/
#define	SAC 123
#define	SAP 94
#define	SAR 36		/* 512 only	*/
#define	SBC 91
#define	SBL 52
#define	SBR 98
#define	SCC 99
#define	SCD 42		/* not implemented in TAP, see aedsub.c	*/
#define	SCP 93
#define	SCR 62
#define	SCS 96
#define	SCT 75
#define	SDA 27
#define	SEC 67
#define	SEN 71
#define	SHO 102
#define	SIF 72
#define	SKS 54		/* not implemented in TAP (or driver)	*/
#define	SLS 49
#define	SPF 34
#define	SRM 77
#define	SSE 125
#define	STD 39
#define	STP 40
#define	STW 41		/* NA 512	*/
#define	SUB 26
#define	SUC 63
#define	SUP 45		/* 512 only */
#define	SVO 101
#define	SWM 76
#define	SZR 69
#define	VSR 120
#define	WDA 46
#define	WHC 117
#define	WHR 92
#define	WHS 88
#define	WHU 115
#define	WIP 118
#define	WMP 107
#define	WPX 84
#define	WRD 70
#define	WSF 56
#define	XCD 60		/* not implemented */
#define	XTD 43
#define	XXX 13		/* in single char mode,	this actually sends */
			/*  a CR, probably better you use alf()	*/

#define	ALF 1		/* as in tap.ftn, same purpose as XXX */
			/* but without CR	*/

	/* global variables */


extern int xspace, yspace;	/* charsize set	by sap()	*/
				/* and referenced by txt() */

#define	AEDBFMAX 16		/* sizeof(aedbf)	*/
extern char aedbf[];		/* used	as a buffer for	talking	*/
				/* with	obyte,ordcmd,ibyte etc.	*/

#define	AEDCTMAX 768		/* sizeof(aedct)		*/
extern char aedct[];		/* color table buffer, used by	*/
				/* rct(), sct()			*/

		/* TAP/driver interface	functions -	*/
		/* see aedsub.c				*/

extern	obyte(),	/* obyte writes to the graphics terminal*/
	ibyte(),	/* ibyte reads the graphics terminal	*/
	dmaraster(),	/* for non AOI DMA			*/
	aoidma(),	/* for DMA to/from AOI			*/
	scd();		/* for command DMA			*/


